{{!-- {{log "actions-blockV2.hbs this=>" this}} --}}

<div class="action-sheet-block actions-blockV2-hbs">
    {{!-- {{#if (and actionGroup.actions.size actionGroup.source.isIdentified)}} --}}
    {{#if actionGroup.source.isIdentified}}

        {{!-- #psionic - exclude spell and power --}}
        {{#if (or @root.isItemSheet (and (isfalse actionGroup.isSpell) (isfalse actionGroup.isPsionic)))}}
            <div
                class="actionGroup action-list {{#if actionGroup.hasResource}}{{#if actionGroup.hasUses}}hasCharges{{else}}noCharges{{/if}}{{/if}}">
                <div class="action">
                    <li class="action-item flexrow info-item" data-sourceitem-id="{{../item.id}}"
                        data-sourceitem-uuid="{{actionGroup.source.uuid}}" data-source-id="{{actionGroup.source.id}}"
                        data-action-group-id="{{actionGroup.id}}">
                        {{#if (and @root.actor.needsInitiative @root.game.ars.config.settings.initiativeUseSpeed)}}
                            {{#if @root.actor.combat.flags.ars.beginningOfRound}}

                                <div class="initiative-roll-speed" data-tooltip="Roll initiative" role="button"
                                    aria-label="Roll initiative">
                                    <i class="fas fa-dice"></i>
                                </div>


                            {{/if}}
                        {{/if}}
                        <div
                            class="flexrow action-groupname rollable actionCard-roll-V2 action-name actionGroup-move-control">
                            <div class="action-image" style="background-image: url('{{actionGroup.img}}')">
                            </div>
                            <div class="action-name text-trunc">
                                {{!-- {{#if actionGroup.source.name}}{{actionGroup.source.name}}:{{/if}}  --}}
                                {{actionGroup.name}}
                                {{#if actionGroup.hasResource}}{{#if actionGroup.hasUses}}(x{{actionGroup.hasUses}}){{/if}}{{/if}}
                            </div>
                        </div>

                        <div class="action-control-buttons short-field">
                            <a class="action-toggle-view" data-action="toggle-view">
                                <i style="vertical-align: middle;"
                                    class="fas {{#if (eq actionGroup.collapsedState 'none')}}fa-caret-right{{else}}fa-caret-down{{/if}}"></i>
                            </a>
                        </div>

                        {{#if ../item}}
                            <div class="action-control-buttons short-field">
                                <a class="action-controlsV2 action-view-source"
                                    data-tooltip="{{ localize "ARS.actions.viewsource" }}" data-action="view-source">
                                    <i class='fa fa-cog'></i>
                                </a>
                            </div>
                        {{/if}}
                        <div class="action-control-buttons">
                            {{!-- create action --}}
                            <a style="vertical-align: middle;" class="action-controlsV2 green"
                                data-tooltip="{{ localize "ARS.actions.group.create" }}" data-action="create">
                                <i class="fas fa-plus"></i>
                            </a>
                            {{!-- edit --}}
                            <a class="action-group-controlsV2 action-group-edit" data-tooltip="Edit Item"
                                data-action="edit"><i class="fas fa-edit"></i></a>
                            {{!-- delete --}}
                            <a style="vertical-align: middle;" class="action-group-controlsV2 red"
                                data-tooltip="{{ localize "ARS.actions.group.delete" }}" data-action="delete">
                                <i class="fas fa-times"></i>
                            </a>
                        </div>
                    </li>
                </div>

                <div class="action-collapse" style="display: {{actionGroup.collapsedState}}"
                    id="action-expand-{{actionGroup.tag}}" data-action-group="{{actionGroup.name}}">
                    {{#each (mapToArray actionGroup.actions) as |action|}}
                        <div class="action-header action-items">
                            <li class="flexrow reveal-hidden actionEntry action-move-control"
                                data-action-group-id="{{action.parentGroup.id}}" data-action-id="{{action.id}}"
                                data-sourceitem-uuid="{{action.source.uuid}}">
                                {{!-- displace a little for collapse view --}}
                                <div style="flex: 0 0 24px"></div>

                                {{!-- General --}}
                                <div class="action-block-images">
                                    <img src="{{action.img}}" width="24" height="24" />
                                </div>

                                {{!-- action name --}}
                                <div class="action-type-name">{{ capfirst action.name }}</div>

                                {{!-- action type --}}
                                <div class="action-type">{{ capfirst action.type }}</div>

                                {{#if (eq action.type 'use') }}
                                    <div class="action-type">Used {{ action.resource.count.value }}</div>
                                {{/if}}

                                {{#if (eq action.ability 'none') }}
                                {{else}}
                                    <div class="action-formula text-trunc">
                                        {{localize (concat "ARS.abilityTypes." action.ability) }}
                                    </div>
                                {{/if}}
                                {{#includes action.type 'melee||ranged'}}
                                    {{!-- <div class="empty-space-melee_ranged"></div> --}}
                                    {{!-- <div class="empty-space-melee_ranged"></div> --}}
                                {{/includes}}

                                {{#if action.formula}}
                                    <div class="action-formula text-trunc">{{#if action.formulaEvaluated}}
                                            {{action.formulaEvaluated}}
                                        {{else}}{{action.formula}}{{/if}}</div>
                                {{/if}}

                                {{#if action.speed}}
                                    <div class="action-speed text-trunc"> Speed:{{action.speed}}</div>
                                {{/if}}


                                {{#if (eq action.type 'cast')}}
                                    {{#if action.targeting}}
                                        <div class="action-targeting text-trunc">Targeting:{{action.targeting}}
                                        </div>
                                    {{/if}}

                                    {{#if (eq action.successAction 'none')}}
                                    {{else}}
                                        <div class="action-successAction text-trunc">
                                            Success:{{action.successAction}}
                                        </div>
                                        {{!-- <div class="empty-space"></div> --}}
                                        {{!-- <div class="empty-space-cast"></div> --}}
                                    {{/if}}
                                {{/if}}

                                {{#if (eq action.type 'damage')}}
                                    <div class="action-damagetype text-trunc">Type:{{action.damagetype}}
                                        {{#each action.otherdmg as |otherdmg dmgindex|}}+[{{otherdmg.formula}}/{{otherdmg.type}}]{{/each}}
                                    </div>
                                {{/if}}
                                {{#if (eq action.type 'heal')}}
                                    {{!-- <div class="empty-space-heal"></div> --}}
                                {{/if}}

                                {{!-- Action saveCheck --}}
                                {{#includes action.type 'cast||castmelee||castranged'}}
                                    {{#if (eq action.saveCheck.type 'none')}}
                                    {{else}}
                                        <div class="action-saveCheck-type text-trunc">
                                            Save:{{ localize (concat "ARS.saveTypes." action.saveCheck.type) }}
                                        </div>
                                        {{#if action.saveCheck.formula}}
                                            <div class="action-saveCheck-formula text-trunc">
                                                Formula:{{action.saveCheck.formula}}</div>
                                        {{/if}}
                                    {{/if}}
                                {{/includes}}

                                {{!-- Action abilityCheck --}}
                                {{#if (eq action.abilityCheck.type 'none')}}
                                {{else}}
                                    <div class="action-abilityCheck-type text-trunc">
                                        Ability:{{action.abilityCheck.type}}</div>
                                {{/if}}

                                {{#if action.abilityCheck.formula}}
                                    <div class="action-abilityCheck-formula text-trunc">
                                        Formula:{{action.abilityCheck.formula}}</div>
                                {{/if}}

                                {{!-- Action Effects --}}
                                {{#if (eq action.type 'effect')}}
                                    <div class="action-actionEffect-mode text-trunc">
                                        <label
                                            data-tooltip="{{#each action.effect.changes as |change i|}}[{{change.key}}/{{change.value}}]{{/each}}">{{action.effect.changes.0.key}}</label>
                                    </div>
                                {{/if}}

                                {{!-- Controls (delete/edit) --}}
                                <div class="action-control">
                                    {{!-- move --}}
                                    {{!-- <a class="action-move-control" data-action="move" data-tooltip="Move Action"><i class="fa fa-arrows"></i></a> --}}
                                    {{!-- edit --}}
                                    <a class="action-controlsV2" data-tooltip="Edit Item" data-action="edit"><i
                                            class="fas fa-edit"></i></a>
                                    {{!-- delete --}}
                                    <a class="action-controlsV2" data-action="delete" data-tooltip="Delete Item"><i
                                            class="fas fa-trash"></i></a>

                                </div>
                            </li>
                        </div>
                    {{/each}}
                </div>
            </div>
        {{/if}}
    {{else}}

        {{!-- if no actions and not an inventory item show drop text --}}
        {{#if (and (not isInventory) (not hasActions))}}
            <div align="center">
                <i>{{localize 'ARS.drophere'}}</i>
            </div>
        {{/if}}
    {{/if}}

</div>